<template>
    <div class="container">
        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <button type="button" v-on:click="tambah()">tambah</button>
                        <table class="table">
                            <tr>
                                <th>Nama Barang</th>
                                <th>Jumlah Barang</th>
                            </tr>
                            <tr v-for="(item,i) in data">
                                <td><input type="text" v-model="item.name"></td>
                                <td><input type="text" v-model="item.barang"></td>
                                <td v-if="i !==0">
                                    <button v-on:click="hapus(i)">hapus</button>
                                </td>
                            </tr>
                            <tr>
                                <th>total</th>
                                <th><label for="">{{totals}}</label></th>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
    export default {
        data(){
            return {
                data: [
                    {name: '', barang: 0}, //kurawal objeck array iku kotak
                ],
            }
        },
        methods: {
            tambah (){
                this.data.push({name: '',barang: 0})
            },
            hapus(i){
                this.data.splice(i, 1);
            }
        },
        mounted() {

        },
        computed:{
            totals(){
                var total=0;
                if(this.data) {
                    for (var i = 0; i < this.data.length; i++) {
                        total += parseInt(this.data[i].barang);
                    }
                }
                return total;
            }
        }
    }
</script>
